.TH DALIB 3 "November, 1996" DALIB "Digital Audio Tape support Library"
.SH NAME
da_close \- Close a DAT filedescriptor
.SH SYNOPSIS
.B #include "dataudiolib.h"
.sp
.B int
.br
.BI "da_close( int datfd )"
.SH DESCRIPTION
The
.B da_closes()
function closes the specified datfd. If the datfd refered to a real tapedevice
all relevant variables of the current internal state are saved to a special
file to be restored if this device is opened the next time.
.SH PARAMETERS
.SS Input Parameters
.IP datfd
A DAT filedescriptor as got from 
.B da_init
or 
.B da_open
\&.
.SH RETURN VALUE
When an error condition arises, this routine returns -1 and sets errno to
indicate the reason for the error.  Possible values of errno are:
.TP
EINVAL
The filedescriptor is invalid.
.TP
other
The usual errors returned by 
.B close(3)
\&.
.SH USAGE EXAMPLE
.PP
Close a DAT device.
.PP
.nf
		da_close(datfd);
.fi
.SH SEE ALSO
.B da_intro(3),da_open(3),da_init(3)
.SH AUTHOR
Marcus Meissner <msmeissn@cip.informatik.uni-erlangen.de>
